-----------------------
 Ultimate Mouse Driver
-----------------------

The umd library is a simple to use, crossplatform, GPL tool to control the
mouse. It supports relative and absolute motion and can click just like a three
button mouse. It has a backend for Linux 2.6, Win32, and OSX.

-------------------------------
 Platform specific usage notes
-------------------------------

 Linux:
-------
Your kernel must support uinput. To set the permissions for your uinput device, copy the file extras/95-uinput.rules to /etc/udev/rules.d and reload your udev:

Ubuntu or Debian: /etc/init.d/udev reload
Fedora or Redhat: /etc/init.d/udev-post reload

Then, load the module (modprobe uinput). You will probably need to set up an
fdi for uinput devices as well. Just copy extras/umd-mouse.fdi to 
/etc/hal/fdi/preprobe and restart your hal:

Ubuntu or Debian: /etc/init.d/hal restart
Fedora or Redhat: /etc/init.d/haldaemon restart

Note: Please make sure your users are in the same group that is defined in
the extras/95-uinput.rules file. If you are having trouble try reloading
the uinput module to see if it gets the right permissions from udev.

